Subject: bug#25370: 25.1.90; Can't C-g out of register-read-with-preview

From: Allen Li <[email-masked]>
Date: Thu, 5 Jan 2017 17:34:48 -0800

It's not possible to C-g out of register-read-with-preview.  For
example, when saving text to a register with C-x r s, if the user tries
to C-g to cancel, the text will instead be saved to the C-g register.

This can have bad consequences if for example a user accidentally saves
a window configuration to C-g, then accidentally restores it, destroying
his current workspace.  This is also generally unintuitive for the user
as C-g is supposed to be the universal abort command.

In GNU Emacs 25.1.90.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.8),
modified by Debian
Windowing system distributor 'The X.Org Foundation', version 11.0.11501000
System Description: Ubuntu 14.04 LTS